<?php
namespace OrganizationsManagement\Factory;

use Doctrine\ORM\EntityManager;

class OmCentralCallbackAssinaturaFactory
{
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function getRotaCallbackCertsign (array $params) {
        $sql = "SELECT RCA.DSURLBASE, RCA.DSROTAASSINAT, CLIENT_ID, CLIENT_SECRET
                  FROM CENTRALIZA_ASSINATURA CA
                  JOIN ROTAS_CENTR_ASSINATURA RCA
                    ON RCA.DSCHAVEASSINAT = CA.DSCHAVEASSINAT
                 WHERE CA.IDDOCASSINAT = :IDDOCASSINAT
                   AND CA.NRORG = :NRORG";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function inserirLogAssinaturaDigital(array $params) {
       /* $sql = "INSERT INTO FCT_LOGASSINATDIGITAL (
                    NRLOGASSINATDIGITAL,    NRSEQORCAMENTO,     NRSEQCONTRATO,
                    IDDOCUMCERTSIGN,        NRCPFSIGNATARIO,    NRSEQORCADOC,
                    NRSEQCONTDOC,           DSERRO,             NRORG,
                    DTINCLUSAO
                )
                VALUES (
                    :NRLOGASSINATDIGITAL,   :NRSEQORCAMENTO,    :NRSEQCONTRATO,
                    :IDDOCUMCERTSIGN,       :NRCPFSIGNATARIO,   :NRSEQORCADOC,
                    :NRSEQCONTDOC,          :DSERRO,            :NRORG,
                    SYSDATE
                )";
        
        $ps = $this->connection->prepare($sql);
        $ps->execute($params);*/
    }

}
?>